#3191 closed defect (fixed)

RTEMS Tester covoar dies with no arguments.

Reported by: Chris Johns Owned by: Joel Sherrill
Priority: normal Milestone: 5.1
Component: tool Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Running covoar terminate with an unhandled exception with no arguments on the command line:

$ ./build/tester/covoar/covoar 
error missing option: target -T
Usage: ./build/tester/covoar/covoar [-v] -T TARGET -f FORMAT [-E EXPLANATIONS] -1 EXECUTABLE coverage1 ... coverageN
--OR--
Usage: ./build/tester/covoar/covoar [-v] -T TARGET -f FORMAT [-E EXPLANATIONS] -e EXE_EXTENSION -c COVERAGEFILE_EXTENSION EXECUTABLE1 ... EXECUTABLE2

  -v                        - verbose at initialization
  -T TARGET                 - target name
  -f FORMAT                 - coverage file format (RTEMS, QEMU, TSIM or Skyeye)
  -E EXPLANATIONS           - name of file with explanations
  -s SYMBOLS_FILE           - name of file with symbols of interest
  -1 EXECUTABLE             - name of executable to get symbols from
  -e EXE_EXTENSION          - extension of the executables to analyze
  -c COVERAGEFILE_EXTENSION - extension of the coverage files to analyze
  -g GCNOS_LIST             - name of file with list of *.gcno files
  -p PROJECT_NAME           - name of the project
  -C ConfigurationFileName  - name of configuration file
  -O Output_Directory       - name of output directory (default=.
libc++abi.dylib: terminating with uncaught exception of type std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> >
Abort trap: 6

Change History (4)

comment:1 Changed on Nov 1, 2017 at 8:43:46 PM by Joel Sherrill

Owner: set to Joel Sherrill
Status: newassigned

comment:2 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:3 Changed on Dec 5, 2017 at 2:05:02 PM by Joel Sherrill <joel@…>

Resolution: fixed
Status: assignedclosed

In b516a58/rtems-tools:

tester/covoar/covoar.cc: Exit using exit() rather than just throwing.

Closes #3191.

comment:4 Changed on Jan 2, 2018 at 11:00:41 PM by Joel Sherrill <joel@…>

In 0333442/rtems-tools:

tester/covoar/covoar.cc: Add missing throw keyword

Why clang caught this and gcc didn't is a mystery.

Updates #3191.

Note: See TracTickets for help on using tickets.